// gnome.xonotic.in.ua

models/mapobjects/br_palms/br_branch_2
{
	surfaceparm alphashadow
	cull none
	nopicmip
	q3map_vertexscale 2
	deformvertexes wave 5 sin 0 .1 0 .3
	{
		map models/mapobjects/br_palms/br_branch_2.tga
		alphafunc ge128
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/br_palms/br_palms1
{
	surfaceparm alphashadow
	cull none
	nopicmip
	q3map_vertexscale 2
	deformvertexes wave 5 sin 0 .3 0 .3
	{
		map models/mapobjects/br_palms/br_palms1.tga
		alphafunc ge128
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		depthwrite
		rgbgen vertex
	}
}

textures/blackmarket/bbanner
{
	tesssize 64
	deformvertexes wave 194 sin 0 3 0 .4
	deformvertexes normal .3 .2
	surfaceparm nomarks
	cull none
	{
		map textures/blackmarket/bbanner.jpg
		rgbgen identity
	}
	{
		map textures/blackmarket/bbanner.jpg
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/blackmarket/rbanner
{
	tesssize 64
	deformvertexes wave 194 sin 0 3 0 .4
	deformvertexes normal .3 .2
	surfaceparm nomarks
	cull none
	{
		map textures/blackmarket/rbanner.jpg
		rgbgen identity
	}
	{
		map textures/blackmarket/rbanner.jpg
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
}

textures/common/full_clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm playerclip
}

textures/common/ladder
{
	qer_editorimage textures/common/ladder.jpg
	qer_trans .40
	surfaceparm ladder
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/nodrawnonsolid
{
	surfaceparm nonsolid
	surfaceparm nodraw
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodraw
}

textures/mc-uptown/corona-yel
{
	deformvertexes autosprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	{
		clampmap textures/mc-uptown/corona-yel.tga
		blendfunc gl_one gl_one
	}
}

textures/sfx/flame1
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 7500
	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
	}
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}
	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6
	}
}

textures/skies/sliceysky2
{
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 250
	surfaceparm sky
	skyparms env/sliceysky2/korb - -
}

textures/sweetnutz/fs_rain
{
	qer_editorimage textures/wetwired/fs_rain2.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/wetwired/fs_rain2.tga
		tcmod scroll -0 -1.5
		blendfunc gl_one gl_one
	}
}

